org.apache.ignite

## Class IgniteCacheRestartingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ignite.IgniteException
        - - org.apache.ignite.IgniteCacheRestartingException

All Implemented Interfaces:
  Serializable

    public class IgniteCacheRestartingException
    extends IgniteException

Exception thrown from ignite cache API if cache is restarting.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IgniteCacheRestartingException(IgniteFuture<?> restartFut, String cacheName)`
`IgniteCacheRestartingException(IgniteFuture<?> restartFut, String cacheName, @Nullable Throwable cause)`
`IgniteCacheRestartingException(String cacheName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`IgniteFuture<?>` `restartFuture()`

### Methods inherited from class org.apache.ignite.IgniteException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgniteCacheRestartingException

    public IgniteCacheRestartingException(String cacheName)

Parameters:
  `cacheName` - Error message.

#### IgniteCacheRestartingException

    public IgniteCacheRestartingException(IgniteFuture<?> restartFut,
                                          String cacheName)

Parameters:
  `restartFut` - Restart future.
  `cacheName` - Error message.

#### IgniteCacheRestartingException

    public IgniteCacheRestartingException(IgniteFuture<?> restartFut,
                                          String cacheName,
                                          @Nullable
                                          @Nullable Throwable cause)

Parameters:
  `restartFut` - Restart future.
  `cacheName` - Cache name what is restarting.
  `cause` - Optional nested exception (can be `null`).

### Method Detail

#### restartFuture

    public IgniteFuture<?> restartFuture()

Returns:
  Future that will be completed when cache is restarted.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022